Subject: bug#27229: eldoc wrong highlighting for "when"

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 03 May 2022 13:24:15 +0200

Eli Zaretskii <[email-masked]> writes:

> So you are saying that we cannot use "(fn ..." because eldoc doesn't
> like that?  Doesn't sound reasonable to me.  eldoc is a minor, albeit
> important, mode; it isn't right for a minor mode to dictate our
> documentation formats.

No, I'm saying that the (fn ... in when/unless was wrong in any case, and
shouldn't have been there.  Since we don't use that in the hundreds of
other &rest body macros, it serves to confuse the users who will wonder
why when/unless look odd.

Like I said, if we want to change how we present &rest body to the
users, then we should do so for all of these macros, and not just two.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no